%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

%define url_ver		1.0

Name:		plank
Version:	0.11.4
Release:	%mkrel 1
Summary:	Elegant, simple, and clean dock
License:	GPLv3+
Group:		Graphical desktop/GNOME
Url:		https://launchpad.net/plank
Source0:	https://launchpad.net/%{name}/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz
Source1:	https://launchpad.net/%{name}/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.xz.asc
Patch0:		plank-0.11.2-mga-add-planksettings.desktop.patch
BuildRequires:	intltool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4)
BuildRequires:	pkgconfig(dbusmenu-gtk3-0.4)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libbamf3)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)

Requires:	bamf-daemon

%description
Plank is meant to be the simplest dock on the planet. The goal is
to provide just what a dock needs and absolutely nothing more.
It is, however, a library which can be extended to create other
dock programs with more advanced features.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for the Plank dock
Group:		System/Libraries

%description -n	%{libname}
Plank is meant to be the simplest dock on the planet. The goal is
to provide just what a dock needs and absolutely nothing more.
It is, however, a library which can be extended to create other
dock programs with more advanced features.

This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for the Plank dock
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
	--disable-static \
	--disable-apport
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS HACKING NEWS README
%license COPYING COPYRIGHT
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/glib-2.0/schemas/*%{name}.gschema.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man?/%{name}.*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS HACKING NEWS README
%license COPYING COPYRIGHT
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/%{name}.vapi
%{_datadir}/vala/vapi/%{name}.deps


%changelog
* Wed Apr 26 2017 akien <akien> 0.11.4-1.mga6
+ Revision: 1097539
- Version 0.11.4

* Sun Jan 01 2017 daviddavid <daviddavid> 0.11.3-1.mga6
+ Revision: 1079247
- new version: 0.11.3

* Wed Aug 17 2016 daviddavid <daviddavid> 0.11.2-2.mga6
+ Revision: 1046590
- add a planksettings desktop file to easily access Plank settings

* Thu Jun 09 2016 daviddavid <daviddavid> 0.11.2-1.mga6
+ Revision: 1020944
- new version: 0.11.2

* Sat May 14 2016 daviddavid <daviddavid> 0.11.1-1.mga6
+ Revision: 1015467
- imported package plank

